import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

//用于加载本地图片的工具类
class ImagePathUtils {
  // static bool isSubModule = false; //当前是否是子模块

  //如果是子组件，如果是宿主App无需加根目录
  static ImageProvider getAssetImagePath(String path) {
    return AssetImage(getImgPath(path));
  }

  static String getImgPath(String name) {
    // if (isSubModule) {
    //   return "../../$name";
    // } else {
      return name;
    // }
  }
}
